# ttkbootstrap
![](https://img.shields.io/github/release/israel-dryer/ttkbootstrap.svg)
[![Downloads](https://pepy.tech/badge/ttkbootstrap)](https://pepy.tech/project/ttkbootstrap)
[![Downloads](https://pepy.tech/badge/ttkbootstrap/month)](https://pepy.tech/project/ttkbootstrap)
![](https://img.shields.io/github/issues/israel-dryer/ttkbootstrap.svg)
![](https://img.shields.io/github/issues-closed/israel-dryer/ttkbootstrap.svg)
![](https://img.shields.io/github/license/israel-dryer/ttkbootstrap.svg)
![](https://img.shields.io/github/stars/israel-dryer/ttkbootstrap.svg)
![](https://img.shields.io/github/forks/israel-dryer/ttkbootstrap.svg)

tkinter的超强主题扩展，可实现受[Bootstrap](https://getbootstrap.com/)启发的按需现代平面风格主题。

## 📦 特点

✔️ [**内置主题**](themes/index.md)   
十几个精心策划的[深色](themes/dark.md)和[浅色](themes/light.md)主题

✔️ [**预定义样式：**](styleguide/index.md)  
大量漂亮的[预定义构件样式](styleguide/index.md)，如**轮廓**和**圆形切换**按钮。

✔️ [**简单的关键字 API：**](gettingstarted/tutorial/#use-themed-widgets)  
使用[简单的关键字](gettingstarted/tutorial/#use-themed-widgets)（如**primary**和**striped**）应用颜色和类型，而不是使用主要的旧方法**Striped.Horizontal.TProgressbar**。如果您已经使用Bootstrap进行Web开发，那么您已经熟悉了使用css类的这种方法。

✔️ [**许多新的小部件：**](api/widgets/dateentry)  
ttkbootstrap附带了几个设计精美的新小部件，如[Meter](api/widgets/meter)，[DateEntry](api/widgets/dateentry)和[Floodgauge](api/widgets/floodgauge)。 此外，[对话框](api/dialogs/dialog)现在具有主题和完全可自定义性。

✔️ [**内置主题创建器：**](themes/themecreator.md)  
想要创建自己的主题？容易！ttkbootstrap附带一个内置的[主题创建器](themes/themecreator.md)，使您能够轻松构建，加载，浏览和应用自己的自定义主题。

!!! warning "1.0 中的重大更改"
	版本 1.0 是库的完全重建。如果您使用的是[0.5版本](https://github.com/israel-dryer/ttkbootstrap/tree/version-0.5)，则在尝试使用themes.json导入主题时可能会遇到问题，因为这已从1.0中删除。现在，您可以使用 ttkcreator 直接导入和保存主题。


## 🎨 示例主题

![主题](./assets/themes/themes.gif)
